# ec2 credentials (Identity v3)

## ec2 credentials create

Create EC2 credentials

    openstack ec2 credentials create
        [--project <project>]
        [--user <user>]
        [--user-domain <user-domain>]
        [--project-domain <project-domain>]

--project <project>

  Create credentials in project (name or ID; default: current authenticated project)

--user <user>

  Create credentials for user (name or ID; default: current authenticated user)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

## ec2 credentials delete

Delete EC2 credentials

    openstack ec2 credentials delete
        [--user <user>]
        [--user-domain <user-domain>]
        <access-key>
        [<access-key> ...]

--user <user>

  Delete credentials for user (name or ID)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

access-key

  Credentials access key(s)

## ec2 credentials list

List EC2 credentials

    openstack ec2 credentials list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--user <user>]
        [--user-domain <user-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--user <user>

  Filter list by user (name or ID)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

## ec2 credentials show

Display EC2 credentials details

    openstack ec2 credentials show
        [--user <user>]
        [--user-domain <user-domain>]
        <access-key>

--user <user>

  Show credentials for user (name or ID)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

access-key

  Credentials access key

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.